Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::ISceneNodeAnimatorCameraMaya Class Reference

Special scene node animator for Maya-style cameras. More...

`#include <ISceneNodeAnimatorCameraMaya.h>`

Inheritance diagram for irr::scene::ISceneNodeAnimatorCameraMaya:

List of all members.

## Public Member Functions
virtual f32 | getMoveSpeed () const =0
| Returns the speed of movement.
virtual f32 | getRotateSpeed () const =0
| Returns the rotation speed.
virtual f32 | getZoomSpeed () const =0
| Returns the zoom speed.
virtual void | setMoveSpeed (f32 moveSpeed)=0
| Sets the speed of movement.
virtual void | setRotateSpeed (f32 rotateSpeed)=0
| Set the rotation speed.
virtual void | setZoomSpeed (f32 zoomSpeed)=0
| Set the zoom speed.

## Detailed Description

Special scene node animator for Maya-style cameras.

This scene node animator can be attached to a camera to make it act like a 3d modelling tool. The camera is moving relative to the target with the mouse, by pressing either of the three buttons.

Definition at line 22 of file ISceneNodeAnimatorCameraMaya.h.

## Member Function Documentation

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getMoveSpeed | ( |  | ) | const`[pure virtual]`

Returns the speed of movement.

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getRotateSpeed | ( |  | ) | const`[pure virtual]`

Returns the rotation speed.

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getZoomSpeed | ( |  | ) | const`[pure virtual]`

Returns the zoom speed.

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setMoveSpeed | ( | f32 | moveSpeed | ) | `[pure virtual]`

Sets the speed of movement.

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setRotateSpeed | ( | f32 | rotateSpeed | ) | `[pure virtual]`

Set the rotation speed.

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setZoomSpeed | ( | f32 | zoomSpeed | ) | `[pure virtual]`

Set the zoom speed.

The documentation for this class was generated from the following file:

- ISceneNodeAnimatorCameraMaya.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:16 2010 by Doxygen (1.5.6)